This product is not supported for your selected Datadog site. ().

Unarchive exposure SQL model

POST https://api.ap1.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}/unarchivehttps://api.ap2.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}/unarchivehttps://api.datadoghq.eu/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}/unarchivehttps://api.ddog-gov.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}/unarchivehttps://api.us2.ddog-gov.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}/unarchivehttps://api.uk1.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}/unarchivehttps://api.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}/unarchivehttps://api.us3.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}/unarchivehttps://api.us5.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}/unarchive

Overview

Unarchive an exposure SQL model. Restores an archived model to the default list. This endpoint requires the product_analytics_warehouse_model_write permission.

OAuth apps require the product_analytics_warehouse_model_write authorization scope to access this endpoint.

Arguments

Path Parameters

Name

Type

Description

exposure_sql_model_id [required]

string

The UUID of the exposure SQL model.

Response

The exposure SQL model was unarchived. Unarchiving a model that is not archived succeeds and changes nothing.

Malformed exposure SQL model ID (not a valid UUID).

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Missing or invalid authentication.

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Authenticated caller lacks the product_analytics_warehouse_model_write permission.

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

No exposure SQL model with this ID exists for the organization.

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Path parameters
export exposure_sql_model_id="550e8400-e29b-41d4-a716-446655440000"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/experiments/exposure-sql-models/${exposure_sql_model_id}/unarchive" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"